%convert a vector of 65536 grayscale intensities to an image
%to be used in conjungtion with loadimgs
function img = vectoimg(y)

A = zeros(256,256,3);

for i=1:256
    A(i, 1:256, 1) = y((i-1)*256+1:i*256);
end

A(1:256,1:256,2) = A(1:256,1:256,1);
A(1:256,1:256,3) = A(1:256,1:256,1);

img = uint8(A);